/*
	jQuery OneFBLike v1.0 - http://www.onerutter.com/onefblike
	Copyright (c) 2010 Jake Rutter
	Dodatek ten może być używany we wszystkich prywatnych i komercyjnych projektach w ramach 
      licencji MIT i GPL.
*/

(function($){  
    $.fn.extend({
        oneFBLike: function(options) {  
        
            //Ustaw wartości domyślne, oddzielając ustawienia przecinkiem.
            var defaults = {  
            	appID: '101967260432',
            	siteTitle: '',
            	siteName: '',
            	siteImage: '',
            	buttonWidth: 450,
            	buttonHeight: 80,
            	showfaces: true,
            	font: 'lucida grande',
            	layout: 'normal',
            	action: 'like',
            	colorscheme: 'light'
            	
            }  
            
            var options =  $.extend(defaults, options);  
                        
            return this.each(function() {  
                var o = options;  
                var obj = $(this);
                
                // Dodaj znaczniki meta na potrzeby dodatkowych danych - opcji.
                jQuery('head').append('<meta property="og:title" content="'+o.siteTitle+'"/>');
                jQuery('head').append('<meta property="og:site_name" content="'+o.siteName+'"/>');
                jQuery('head').append('<meta property="og:image" content="'+o.siteImage+'"/>');
                
                // Dodaj element div #fb-root (obowiązkowe) - nie usuwaj.
                jQuery('body').append('<div id="fb-root"></div>');
                
                // Zdefiniuj odnośnik FB Developers App - nie modyfikuj.
                window.fbAsyncInit = function() {
				FB.init({appId: o.appID, status: true, cookie: true, xfbml: true});
				};
				(function() {
				var e = document.createElement('script'); e.async = true;
				e.src = document.location.protocol +
				'//connect.facebook.net/en_US/all.js';
				document.getElementById('fb-root').appendChild(e);
				}());


                // Uzyskaj adres URL i przypisz go zmiennej.
                var dynUrl = document.location;
                var fbDIV = obj;
                                
                              
                // Zastosuj podobny przycisk dla elementu na stronie i dołącz wszystkie 
                // dostępne opcje.
                // Jeśli ze strony nie przekazano żadnych opcji, zostaną zastosowane domyślne.            
                jQuery(fbDIV).html('<fb:like href="'+dynUrl+'" width="'+o.buttonWidth+'" height="'+o.buttonHeight+'" show_faces="'+o.showfaces+'" font="'+o.font+'" layout="'+o.layout+'" action="'+o.action+'" colorscheme="'+o.colorscheme+'"/>')

                              
            });  
        } 
    }); 
})(jQuery);